Bug 11468 - Update request: kernel-3.4.69-1.mga2
: Update request: kernel-3.4.69-1.mga2
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 2
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
: Sec team
:
: advisory MGA2-64-OK MGA2-32-OK
: validated_update
:
: 11059
  Show dependency treegraph
 
Reported: 2013-10-15 00:06 CEST by Thomas Backlund
Modified: 2013-11-22 20:23 CET (History)
7 users (show)

See Also:
Source RPM: kernel-3.4.69-1.mga2
CVE:
Status comment:


Attachments
Compressed output of urpmi --auto-update --debug (11.14 KB, application/x-xz)
2013-10-17 02:43 CEST, Dave Hodgins
Details
included modules (5.14 KB, text/plain)
2013-11-19 12:53 CET, Marja van Waes
Details

Description Thomas Backlund 2013-10-15 00:06:10 CEST
Advisory and CVE list comes later, but you can start testing:

SRPMS:
kernel-3.4.66-1.mga2.src.rpm
kernel-userspace-headers-3.4.66-1.mga2.src.rpm



i586:
cpupower-3.4.66-1.mga2.i586.rpm
cpupower-devel-3.4.66-1.mga2.i586.rpm
kernel-desktop-3.4.66-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-3.4.66-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-3.4.66-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-latest-3.4.66-1.mga2.i586.rpm
kernel-desktop586-latest-3.4.66-1.mga2.i586.rpm
kernel-desktop-devel-3.4.66-1.mga2-1-1.mga2.i586.rpm
kernel-desktop-devel-latest-3.4.66-1.mga2.i586.rpm
kernel-desktop-latest-3.4.66-1.mga2.i586.rpm
kernel-doc-3.4.66-1.mga2.noarch.rpm
kernel-netbook-3.4.66-1.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-3.4.66-1.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-latest-3.4.66-1.mga2.i586.rpm
kernel-netbook-latest-3.4.66-1.mga2.i586.rpm
kernel-server-3.4.66-1.mga2-1-1.mga2.i586.rpm
kernel-server-devel-3.4.66-1.mga2-1-1.mga2.i586.rpm
kernel-server-devel-latest-3.4.66-1.mga2.i586.rpm
kernel-server-latest-3.4.66-1.mga2.i586.rpm
kernel-source-3.4.66-1.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.66-1.mga2.noarch.rpm
kernel-userspace-headers-3.4.66-1.mga2.i586.rpm
perf-3.4.66-1.mga2.i586.rpm
vboxadditions-kernel-3.4.66-desktop-1.mga2-4.2.16-3.mga2.i586.rpm
vboxadditions-kernel-3.4.66-desktop586-1.mga2-4.2.16-3.mga2.i586.rpm
vboxadditions-kernel-3.4.66-netbook-1.mga2-4.2.16-3.mga2.i586.rpm
vboxadditions-kernel-3.4.66-server-1.mga2-4.2.16-3.mga2.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.16-3.mga2.i586.rpm
vboxadditions-kernel-desktop-latest-4.2.16-3.mga2.i586.rpm
vboxadditions-kernel-netbook-latest-4.2.16-3.mga2.i586.rpm
vboxadditions-kernel-server-latest-4.2.16-3.mga2.i586.rpm
virtualbox-kernel-3.4.66-desktop-1.mga2-4.2.16-3.mga2.i586.rpm
virtualbox-kernel-3.4.66-desktop586-1.mga2-4.2.16-3.mga2.i586.rpm
virtualbox-kernel-3.4.66-netbook-1.mga2-4.2.16-3.mga2.i586.rpm
virtualbox-kernel-3.4.66-server-1.mga2-4.2.16-3.mga2.i586.rpm
virtualbox-kernel-desktop586-latest-4.2.16-3.mga2.i586.rpm
virtualbox-kernel-desktop-latest-4.2.16-3.mga2.i586.rpm
virtualbox-kernel-netbook-latest-4.2.16-3.mga2.i586.rpm
virtualbox-kernel-server-latest-4.2.16-3.mga2.i586.rpm
xtables-addons-kernel-3.4.66-desktop-1.mga2-1.41-31.mga2.i586.rpm
xtables-addons-kernel-3.4.66-desktop586-1.mga2-1.41-31.mga2.i586.rpm
xtables-addons-kernel-3.4.66-netbook-1.mga2-1.41-31.mga2.i586.rpm
xtables-addons-kernel-3.4.66-server-1.mga2-1.41-31.mga2.i586.rpm
xtables-addons-kernel-desktop586-latest-1.41-31.mga2.i586.rpm
xtables-addons-kernel-desktop-latest-1.41-31.mga2.i586.rpm
xtables-addons-kernel-netbook-latest-1.41-31.mga2.i586.rpm
xtables-addons-kernel-server-latest-1.41-31.mga2.i586.rpm

broadcom-wl-kernel-3.4.66-desktop-1.mga2-5.100.82.112-50.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.66-desktop586-1.mga2-5.100.82.112-50.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.66-netbook-1.mga2-5.100.82.112-50.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.66-server-1.mga2-5.100.82.112-50.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-5.100.82.112-50.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-50.mga2.nonfree.i586.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-50.mga2.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-50.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.66-desktop-1.mga2-8.961-26.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.66-desktop586-1.mga2-8.961-26.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.66-netbook-1.mga2-8.961-26.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.66-server-1.mga2-8.961-26.mga2.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-8.961-26.mga2.nonfree.i586.rpm
fglrx-kernel-desktop-latest-8.961-26.mga2.nonfree.i586.rpm
fglrx-kernel-netbook-latest-8.961-26.mga2.nonfree.i586.rpm
fglrx-kernel-server-latest-8.961-26.mga2.nonfree.i586.rpm
nvidia173-kernel-3.4.66-desktop-1.mga2-173.14.36-16.mga2.nonfree.i586.rpm
nvidia173-kernel-3.4.66-desktop586-1.mga2-173.14.36-16.mga2.nonfree.i586.rpm
nvidia173-kernel-3.4.66-netbook-1.mga2-173.14.36-16.mga2.nonfree.i586.rpm
nvidia173-kernel-3.4.66-server-1.mga2-173.14.36-16.mga2.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.36-16.mga2.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.36-16.mga2.nonfree.i586.rpm
nvidia173-kernel-netbook-latest-173.14.36-16.mga2.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.36-16.mga2.nonfree.i586.rpm
nvidia96xx-kernel-3.4.66-desktop-1.mga2-96.43.23-17.mga2.nonfree.i586.rpm
nvidia96xx-kernel-3.4.66-desktop586-1.mga2-96.43.23-17.mga2.nonfree.i586.rpm
nvidia96xx-kernel-3.4.66-netbook-1.mga2-96.43.23-17.mga2.nonfree.i586.rpm
nvidia96xx-kernel-3.4.66-server-1.mga2-96.43.23-17.mga2.nonfree.i586.rpm
nvidia96xx-kernel-desktop586-latest-96.43.23-17.mga2.nonfree.i586.rpm
nvidia96xx-kernel-desktop-latest-96.43.23-17.mga2.nonfree.i586.rpm
nvidia96xx-kernel-netbook-latest-96.43.23-17.mga2.nonfree.i586.rpm
nvidia96xx-kernel-server-latest-96.43.23-17.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.66-desktop-1.mga2-295.71-21.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.66-desktop586-1.mga2-295.71-21.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.66-netbook-1.mga2-295.71-21.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.66-server-1.mga2-295.71-21.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-295.71-21.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-295.71-21.mga2.nonfree.i586.rpm
nvidia-current-kernel-netbook-latest-295.71-21.mga2.nonfree.i586.rpm
nvidia-current-kernel-server-latest-295.71-21.mga2.nonfree.i586.rpm



x86_64:
cpupower-3.4.66-1.mga2.x86_64.rpm
cpupower-devel-3.4.66-1.mga2.x86_64.rpm
kernel-desktop-3.4.66-1.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-3.4.66-1.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-latest-3.4.66-1.mga2.x86_64.rpm
kernel-desktop-latest-3.4.66-1.mga2.x86_64.rpm
kernel-doc-3.4.66-1.mga2.noarch.rpm
kernel-netbook-3.4.66-1.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-3.4.66-1.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-latest-3.4.66-1.mga2.x86_64.rpm
kernel-netbook-latest-3.4.66-1.mga2.x86_64.rpm
kernel-server-3.4.66-1.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-3.4.66-1.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-latest-3.4.66-1.mga2.x86_64.rpm
kernel-server-latest-3.4.66-1.mga2.x86_64.rpm
kernel-source-3.4.66-1.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.66-1.mga2.noarch.rpm
kernel-userspace-headers-3.4.66-1.mga2.x86_64.rpm
perf-3.4.66-1.mga2.x86_64.rpm
vboxadditions-kernel-3.4.66-desktop-1.mga2-4.2.16-3.mga2.x86_64.rpm
vboxadditions-kernel-3.4.66-netbook-1.mga2-4.2.16-3.mga2.x86_64.rpm
vboxadditions-kernel-3.4.66-server-1.mga2-4.2.16-3.mga2.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.16-3.mga2.x86_64.rpm
vboxadditions-kernel-netbook-latest-4.2.16-3.mga2.x86_64.rpm
vboxadditions-kernel-server-latest-4.2.16-3.mga2.x86_64.rpm
virtualbox-kernel-3.4.66-desktop-1.mga2-4.2.16-3.mga2.x86_64.rpm
virtualbox-kernel-3.4.66-netbook-1.mga2-4.2.16-3.mga2.x86_64.rpm
virtualbox-kernel-3.4.66-server-1.mga2-4.2.16-3.mga2.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.16-3.mga2.x86_64.rpm
virtualbox-kernel-netbook-latest-4.2.16-3.mga2.x86_64.rpm
virtualbox-kernel-server-latest-4.2.16-3.mga2.x86_64.rpm
xtables-addons-kernel-3.4.66-desktop-1.mga2-1.41-31.mga2.x86_64.rpm
xtables-addons-kernel-3.4.66-netbook-1.mga2-1.41-31.mga2.x86_64.rpm
xtables-addons-kernel-3.4.66-server-1.mga2-1.41-31.mga2.x86_64.rpm
xtables-addons-kernel-desktop-latest-1.41-31.mga2.x86_64.rpm
xtables-addons-kernel-netbook-latest-1.41-31.mga2.x86_64.rpm
xtables-addons-kernel-server-latest-1.41-31.mga2.x86_64.rpm

broadcom-wl-kernel-3.4.66-desktop-1.mga2-5.100.82.112-50.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.66-netbook-1.mga2-5.100.82.112-50.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.66-server-1.mga2-5.100.82.112-50.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-50.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-50.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-50.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.66-desktop-1.mga2-8.961-26.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.66-netbook-1.mga2-8.961-26.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.66-server-1.mga2-8.961-26.mga2.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-8.961-26.mga2.nonfree.x86_64.rpm
fglrx-kernel-netbook-latest-8.961-26.mga2.nonfree.x86_64.rpm
fglrx-kernel-server-latest-8.961-26.mga2.nonfree.x86_64.rpm
nvidia173-kernel-3.4.66-desktop-1.mga2-173.14.36-16.mga2.nonfree.x86_64.rpm
nvidia173-kernel-3.4.66-netbook-1.mga2-173.14.36-16.mga2.nonfree.x86_64.rpm
nvidia173-kernel-3.4.66-server-1.mga2-173.14.36-16.mga2.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.36-16.mga2.nonfree.x86_64.rpm
nvidia173-kernel-netbook-latest-173.14.36-16.mga2.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.36-16.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-3.4.66-desktop-1.mga2-96.43.23-17.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-3.4.66-netbook-1.mga2-96.43.23-17.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-3.4.66-server-1.mga2-96.43.23-17.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-desktop-latest-96.43.23-17.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-netbook-latest-96.43.23-17.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-server-latest-96.43.23-17.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.66-desktop-1.mga2-295.71-21.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.66-netbook-1.mga2-295.71-21.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.66-server-1.mga2-295.71-21.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-295.71-21.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-netbook-latest-295.71-21.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-295.71-21.mga2.nonfree.x86_64.rpm


Reproducible: 

Steps to Reproduce:
Comment 1 Thomas Backlund 2013-10-15 00:09:36 CEST
Correct SRPMS list:

kernel-3.4.66-1.mga2.src.rpm
kernel-userspace-headers-3.4.66-1.mga2.src.rpm
kmod-vboxadditions-4.2.16-3.mga2.src.rpm
kmod-virtualbox-4.2.16-3.mga2.src.rpm
kmod-xtables-addons-1.41-31.mga2.src.rpm

kmod-broadcom-wl-5.100.82.112-50.mga2.nonfree.src.rpm
kmod-fglrx-8.961-26.mga2.nonfree.src.rpm
kmod-nvidia173-173.14.36-16.mga2.nonfree.src.rpm
kmod-nvidia96xx-96.43.23-17.mga2.nonfree.src.rpm
kmod-nvidia-current-295.71-21.mga2.nonfree.src.rpm



and putting the same glibc blocker
Comment 2 William Kenney 2013-10-15 19:53:47 CEST
In VirtualBox, M2, KDE, 32-bit

[root@localhost wilcal]# uname -a
Linux localhost 3.4.52-desktop-1.mga2 #1 SMP Thu Jul 4 07:31:09 UTC 2013 i686 i686 i386 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga2.i586 is already installed
Marking vboxadditions-kernel-desktop-latest as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
[root@localhost wilcal]# urpmi glibc
Package glibc-2.14.1-10.mga2.i586 is already installed

Install glibc & kernel-desktop-latest updates from core updates_testing:

reboot system

[root@localhost wilcal]# uname -a
Linux localhost 3.4.66-desktop-1.mga2 #1 SMP Mon Oct 14 19:38:51 UTC 2013 i686 i686 i386 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-3.mga2.i586 is already installed
[root@localhost wilcal]# urpmi glibc
Package glibc-2.14.1-11.1.mga2.i586 is already installed

seems like it has come back just fine.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
VirtualBox 4.2.16-1.mga3.x86_64.rpm
Comment 3 William Kenney 2013-10-15 20:32:01 CEST
In VirtualBox, M2, KDE, 64-bit

[root@localhost wilcal]# uname -a
Linux localhost 3.4.52-desktop-1.mga2 #1 SMP Thu Jul 4 07:23:54 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga2.x86_64 is already installed
Marking vboxadditions-kernel-desktop-latest as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
[root@localhost wilcal]# urpmi glibc
Package glibc-2.14.1-10.mga2.x86_64 is already installed

Install glibc & kernel-desktop-latest updates from core updates_testing:

reboot system

[root@localhost wilcal]# uname -a
Linux localhost 3.4.66-desktop-1.mga2 #1 SMP Mon Oct 14 19:37:55 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-3.mga2.x86_64 is already installed
[root@localhost wilcal]# urpmi glibc
Package glibc-2.14.1-11.1.mga2.x86_64 is already installed

seems like it has come back just fine.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
VirtualBox 4.2.16-1.mga3.x86_64.rpm
Comment 4 William Kenney 2013-10-15 22:31:07 CEST
In VirtualBox, M3, KDE, 32-bit

[root@localhost wilcal]# uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 14:04:55 UTC 2013 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga3.i586 is already installed
Marking vboxadditions-kernel-desktop-latest as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.i586 is already installed

Install glibc & kernel-desktop-latest updates from core updates_testing:

reboot system
Fails to come back to a working desktop. Leaves you in a blank screen.
If I interrupt the boot process and select the old kernel ( 3.8.13.4-desktop-1.mga3 )
it boots to a working desktop just fine.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
VirtualBox 4.2.16-1.mga3.x86_64.rpm
Comment 5 William Kenney 2013-10-15 22:31:31 CEST
In VirtualBox, M3, KDE, 64-bit

[root@localhost wilcal]# uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 13:56:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga3.x86_64 is already installed
Marking vboxadditions-kernel-desktop-latest as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.x86_64 is already installed

Install glibc & kernel-desktop-latest updates from core updates_testing:

reboot system

[root@localhost wilcal]# uname -a
Linux localhost 3.10.16-desktop-1.mga3 #1 SMP Mon Oct 14 17:29:36 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.18-3.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.x86_64 is already installed

seems like it has come back just fine.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
VirtualBox 4.2.16-1.mga3.x86_64.rpm
Comment 6 David Walser 2013-10-15 22:33:05 CEST
William, your last two messages on this bug pertain to Mageia 3.  This bug is for a Mageia 2 kernel.
Comment 7 William Kenney 2013-10-15 23:51:15 CEST
(In reply to David Walser from comment #6)

> William, your last two messages on this bug pertain to Mageia 3.  This bug
> is for a Mageia 2 kernel.

Sorry, work'n on M3 right now.
Comment 8 Dave Hodgins 2013-10-17 02:43:13 CEST
Created attachment 4441 [details]
Compressed output of urpmi --auto-update --debug

My testing on Mageia 2 i586 is complete.

Tested with virtualbox, dkms-iscsitarget, and fglrx dkms modules.

For each kernel, confirmed sound/network working, and modules loaded.

Other then the inconsistency of dkms modules being compiled during the
update, or an boot, no regressions found.

Using the core updates kernels ...
title desktop 3.4.52-1.mga2 ok
title server 3.4.52-1.mga2 ok
title netbook 3.4.52-1.mga2 ok
title desktop586 3.4.52-1.mga2 ok
title tmb-server 3.4.52-1.mga2 ok
title 2 3.4.52-0.rt67.2.mga ok
title vserver 3.4.52-1.mga2 Exec format error
title tmb-laptop 3.4.52-1.mga2 ok
title tmb-desktop586 3.4.52-1.mga2 ok
title tmb-desktop 3.4.52-1.mga2 ok
title 2 3.4.52-1.mga Exec format error

Using the core updates testing kernels ...
title 2 3.4.66-1.mga ok
title 2 3.4.66-0.rt77.1.mga ok
title tmb-server 3.4.66-1.mga2 dkms modules not built till boot. Otherwise, ok
title vserver 3.4.66-1.mga2 dkms modules not built till boot. Exec format error
title tmb-desktop586 3.4.66-1.mga2 ok
title tmb-laptop 3.4.66-1.mga2 ok
title tmb-desktop 3.4.66-1.mga2 ok
title desktop 3.4.66-1.mga2 iscsi_trgt not built till boot. Otherwise ok
title netbook 3.4.66-1.mga2 iscsi_trgt not built till boot. Otherwise ok
title desktop586 3.4.66-1.mga2 ok
title server 3.4.66-1.mga2 ok
Comment 9 Bill Wilkinson 2013-10-17 18:19:24 CEST
installed kernel-server and kernel-desktop mga2-32. No regressions noted, nvida builds from dkms.

Card:NVIDIA GeForce 6100 to GeForce 7950: NVIDIA Corporation|NV44A [GeForce 6200] [DISPLAY_VGA] (vendor:10de device:0221 subv:196e subd:02f3) (rev: a1)

Sempron 3000+ processor.
Comment 10 Dave Hodgins 2013-10-17 21:52:51 CEST
Testing complete on Mageia 2 x86_64. No regressions found.

title desktop 3.4.52-1.mga2 ok
title server 3.4.52-1.mga2 ok
title netbook 3.4.52-1.mga2 ok
title tmb-laptop 3.4.52-1.mga2 ok
title tmb-desktop 3.4.52-1.mga2 ok
title 2 3.4.52-0.rt67.2.mga dkms modules not built till boot, otherwise ok
title tmb-server 3.4.52-1.mga2 dkms modules not built till boot, otherwise ok
title vserver 3.4.52-1.mga2 dkms modules not built till boot, Exec format error
title 2 3.4.52-1.mga Exec format error

title 2 3.4.66-1.mga ok
title 2 3.4.66-0.rt77.1.mga dkms modules not built till boot, otherwise ok
title tmb-server 3.4.66-1.mga2 dkms modules not built till boot, otherwise ok
title vserver 3.4.66-1.mga2 dkms modules not built till boot, Exec format error
title tmb-laptop 3.4.66-1.mga2 ok
title tmb-desktop 3.4.66-1.mga2 ok
title server 3.4.66-1.mga2 ok
title desktop 3.4.66-1.mga2 ok
title netbook 3.4.66-1.mga2 ok
Comment 11 William Kenney 2013-10-25 17:19:28 CEST
In VirtualBox, M2, KDE, 32-bit

Somewhat of a re-run of my testing in Comment 2

[root@localhost wilcal]# uname -a
Linux localhost 3.4.52-desktop-1.mga2 #1 SMP Thu Jul 4 07:31:09 UTC 2013 i686 i686 i386 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga2.i586 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.4.52-1.mga2.i586 is already installed
[root@localhost wilcal]# urpmi glibc
Package glibc-2.14.1-10.mga2.i586 is already installed
[root@localhost wilcal]# lspci -k
VGA compatible controller: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter

Boots to a working desktop

Update everything from core updates_testing:

reboot system

[root@localhost wilcal]# uname -a
Linux localhost 3.4.66-desktop-1.mga2 #1 SMP Mon Oct 14 19:38:51 UTC 2013 i686 i686 i386 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-3.mga2.i586 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.4.66-1.mga2.i586 is already installed
[root@localhost wilcal]# urpmi glibc
Package glibc-2.14.1-11.1.mga2.i586 is already installed
[root@localhost wilcal]# lspci -k
VGA compatible controller: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter

seems like it has come back just fine.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
VirtualBox 4.2.16-1.mga3.x86_64.rpm
Comment 12 William Kenney 2013-10-25 17:20:03 CEST
In VirtualBox, M2, KDE, 64-bit

Somewhat of a re-run of my testing in Comment 3

[root@localhost wilcal]# uname -a
Linux localhost 3.4.52-desktop-1.mga2 #1 SMP Thu Jul 4 07:23:54 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga2.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.4.52-1.mga2.x86_64 is already installed
[root@localhost wilcal]# urpmi glibc
Package glibc-2.14.1-10.mga2.x86_64 is already installed
[root@localhost wilcal]# lspci -k
VGA compatible controller: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter

Boots to a working desktop

Update everything from core updates_testing:

reboot system

[root@localhost wilcal]# uname -a
Linux localhost 3.4.66-desktop-1.mga2 #1 SMP Mon Oct 14 19:37:55 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-3.mga2.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.4.66-1.mga2.x86_64 is already installed
[root@localhost wilcal]# urpmi glibc
Package glibc-2.14.1-11.1.mga2.x86_64 is already installed
[root@localhost wilcal]# lspci -k
VGA compatible controller: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter

Boots to a working desktop
Comment 13 Samuel Verschelde 2013-11-04 15:01:48 CET
Installed it on my Mga 2 x86_64 workstation, so far everything is working.

Packages installed:

kernel-desktop-3.4.66-1.mga2-1-1.mga2
nvidia-current-kernel-3.4.66-desktop-1.mga2-295.71-21.mga2.nonfree
kernel-desktop-devel-latest-3.4.66-1.mga2
kernel-userspace-headers-3.4.66-1.mga2
kernel-desktop-devel-3.4.66-1.mga2-1-1.mga2
kernel-desktop-latest-3.4.66-1.mga2
virtualbox-kernel-3.4.66-desktop-1.mga2-4.2.16-3.mga2
Comment 14 claire robinson 2013-11-07 22:34:25 CET
Assigning Thomas for now. 

Please reassign to QA when when you've had a chance to take a look. 

Thanks.
Comment 15 Thomas Backlund 2013-11-18 09:15:20 CET
new rpms to validate:

SRPMS:
kernel-3.4.69-1.mga2.src.rpm
kernel-userspace-headers-3.4.69-1.mga2.src.rpm
kmod-vboxadditions-4.2.16-5.mga2.src.rpm
kmod-virtualbox-4.2.16-5.mga2.src.rpm
kmod-xtables-addons-1.41-33.mga2.src.rpm

kmod-broadcom-wl-5.100.82.112-52.mga2.nonfree.src.rpm
kmod-fglrx-8.961-28.mga2.nonfree.src.rpm
kmod-nvidia173-173.14.36-18.mga2.nonfree.src.rpm
kmod-nvidia96xx-96.43.23-19.mga2.nonfree.src.rpm
kmod-nvidia-current-295.71-23.mga2.nonfree.src.rpm



i586:
cpupower-3.4.69-1.mga2.i586.rpm
cpupower-devel-3.4.69-1.mga2.i586.rpm
kernel-desktop-3.4.69-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-3.4.69-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-3.4.69-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-latest-3.4.69-1.mga2.i586.rpm
kernel-desktop586-latest-3.4.69-1.mga2.i586.rpm
kernel-desktop-devel-3.4.69-1.mga2-1-1.mga2.i586.rpm
kernel-desktop-devel-latest-3.4.69-1.mga2.i586.rpm
kernel-desktop-latest-3.4.69-1.mga2.i586.rpm
kernel-doc-3.4.69-1.mga2.noarch.rpm
kernel-netbook-3.4.69-1.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-3.4.69-1.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-latest-3.4.69-1.mga2.i586.rpm
kernel-netbook-latest-3.4.69-1.mga2.i586.rpm
kernel-server-3.4.69-1.mga2-1-1.mga2.i586.rpm
kernel-server-devel-3.4.69-1.mga2-1-1.mga2.i586.rpm
kernel-server-devel-latest-3.4.69-1.mga2.i586.rpm
kernel-server-latest-3.4.69-1.mga2.i586.rpm
kernel-source-3.4.69-1.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.69-1.mga2.noarch.rpm
kernel-userspace-headers-3.4.69-1.mga2.i586.rpm
perf-3.4.69-1.mga2.i586.rpm

vboxadditions-kernel-3.4.69-desktop-1.mga2-4.2.16-5.mga2.i586.rpm
vboxadditions-kernel-3.4.69-desktop586-1.mga2-4.2.16-5.mga2.i586.rpm
vboxadditions-kernel-3.4.69-netbook-1.mga2-4.2.16-5.mga2.i586.rpm
vboxadditions-kernel-3.4.69-server-1.mga2-4.2.16-5.mga2.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.16-5.mga2.i586.rpm
vboxadditions-kernel-desktop-latest-4.2.16-5.mga2.i586.rpm
vboxadditions-kernel-netbook-latest-4.2.16-5.mga2.i586.rpm
vboxadditions-kernel-server-latest-4.2.16-5.mga2.i586.rpm
virtualbox-kernel-3.4.69-desktop-1.mga2-4.2.16-5.mga2.i586.rpm
virtualbox-kernel-3.4.69-desktop586-1.mga2-4.2.16-5.mga2.i586.rpm
virtualbox-kernel-3.4.69-netbook-1.mga2-4.2.16-5.mga2.i586.rpm
virtualbox-kernel-3.4.69-server-1.mga2-4.2.16-5.mga2.i586.rpm
virtualbox-kernel-desktop586-latest-4.2.16-5.mga2.i586.rpm
virtualbox-kernel-desktop-latest-4.2.16-5.mga2.i586.rpm
virtualbox-kernel-netbook-latest-4.2.16-5.mga2.i586.rpm
virtualbox-kernel-server-latest-4.2.16-5.mga2.i586.rpm
xtables-addons-kernel-3.4.69-desktop-1.mga2-1.41-33.mga2.i586.rpm
xtables-addons-kernel-3.4.69-desktop586-1.mga2-1.41-33.mga2.i586.rpm
xtables-addons-kernel-3.4.69-netbook-1.mga2-1.41-33.mga2.i586.rpm
xtables-addons-kernel-3.4.69-server-1.mga2-1.41-33.mga2.i586.rpm
xtables-addons-kernel-desktop586-latest-1.41-33.mga2.i586.rpm
xtables-addons-kernel-desktop-latest-1.41-33.mga2.i586.rpm
xtables-addons-kernel-netbook-latest-1.41-33.mga2.i586.rpm
xtables-addons-kernel-server-latest-1.41-33.mga2.i586.rpm

broadcom-wl-kernel-3.4.69-desktop-1.mga2-5.100.82.112-52.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.69-desktop586-1.mga2-5.100.82.112-52.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.69-netbook-1.mga2-5.100.82.112-52.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.69-server-1.mga2-5.100.82.112-52.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-5.100.82.112-52.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-52.mga2.nonfree.i586.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-52.mga2.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-52.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.69-desktop-1.mga2-8.961-28.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.69-desktop586-1.mga2-8.961-28.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.69-netbook-1.mga2-8.961-28.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.69-server-1.mga2-8.961-28.mga2.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-8.961-28.mga2.nonfree.i586.rpm
fglrx-kernel-desktop-latest-8.961-28.mga2.nonfree.i586.rpm
fglrx-kernel-netbook-latest-8.961-28.mga2.nonfree.i586.rpm
fglrx-kernel-server-latest-8.961-28.mga2.nonfree.i586.rpm
nvidia173-kernel-3.4.69-desktop-1.mga2-173.14.36-18.mga2.nonfree.i586.rpm
nvidia173-kernel-3.4.69-desktop586-1.mga2-173.14.36-18.mga2.nonfree.i586.rpm
nvidia173-kernel-3.4.69-netbook-1.mga2-173.14.36-18.mga2.nonfree.i586.rpm
nvidia173-kernel-3.4.69-server-1.mga2-173.14.36-18.mga2.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.36-18.mga2.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.36-18.mga2.nonfree.i586.rpm
nvidia173-kernel-netbook-latest-173.14.36-18.mga2.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.36-18.mga2.nonfree.i586.rpm
nvidia96xx-kernel-3.4.69-desktop-1.mga2-96.43.23-19.mga2.nonfree.i586.rpm
nvidia96xx-kernel-3.4.69-desktop586-1.mga2-96.43.23-19.mga2.nonfree.i586.rpm
nvidia96xx-kernel-3.4.69-netbook-1.mga2-96.43.23-19.mga2.nonfree.i586.rpm
nvidia96xx-kernel-3.4.69-server-1.mga2-96.43.23-19.mga2.nonfree.i586.rpm
nvidia96xx-kernel-desktop586-latest-96.43.23-19.mga2.nonfree.i586.rpm
nvidia96xx-kernel-desktop-latest-96.43.23-19.mga2.nonfree.i586.rpm
nvidia96xx-kernel-netbook-latest-96.43.23-19.mga2.nonfree.i586.rpm
nvidia96xx-kernel-server-latest-96.43.23-19.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.69-desktop-1.mga2-295.71-23.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.69-desktop586-1.mga2-295.71-23.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.69-netbook-1.mga2-295.71-23.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.69-server-1.mga2-295.71-23.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-295.71-23.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-295.71-23.mga2.nonfree.i586.rpm
nvidia-current-kernel-netbook-latest-295.71-23.mga2.nonfree.i586.rpm
nvidia-current-kernel-server-latest-295.71-23.mga2.nonfree.i586.rpm



x86_64:
cpupower-3.4.69-1.mga2.x86_64.rpm
cpupower-devel-3.4.69-1.mga2.x86_64.rpm
kernel-desktop-3.4.69-1.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-3.4.69-1.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-latest-3.4.69-1.mga2.x86_64.rpm
kernel-desktop-latest-3.4.69-1.mga2.x86_64.rpm
kernel-doc-3.4.69-1.mga2.noarch.rpm
kernel-netbook-3.4.69-1.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-3.4.69-1.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-latest-3.4.69-1.mga2.x86_64.rpm
kernel-netbook-latest-3.4.69-1.mga2.x86_64.rpm
kernel-server-3.4.69-1.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-3.4.69-1.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-latest-3.4.69-1.mga2.x86_64.rpm
kernel-server-latest-3.4.69-1.mga2.x86_64.rpm
kernel-source-3.4.69-1.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.69-1.mga2.noarch.rpm
kernel-userspace-headers-3.4.69-1.mga2.x86_64.rpm
perf-3.4.69-1.mga2.x86_64.rpm

vboxadditions-kernel-3.4.69-desktop-1.mga2-4.2.16-5.mga2.x86_64.rpm
vboxadditions-kernel-3.4.69-netbook-1.mga2-4.2.16-5.mga2.x86_64.rpm
vboxadditions-kernel-3.4.69-server-1.mga2-4.2.16-5.mga2.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.16-5.mga2.x86_64.rpm
vboxadditions-kernel-netbook-latest-4.2.16-5.mga2.x86_64.rpm
vboxadditions-kernel-server-latest-4.2.16-5.mga2.x86_64.rpm
virtualbox-kernel-3.4.69-desktop-1.mga2-4.2.16-5.mga2.x86_64.rpm
virtualbox-kernel-3.4.69-netbook-1.mga2-4.2.16-5.mga2.x86_64.rpm
virtualbox-kernel-3.4.69-server-1.mga2-4.2.16-5.mga2.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.16-5.mga2.x86_64.rpm
virtualbox-kernel-netbook-latest-4.2.16-5.mga2.x86_64.rpm
virtualbox-kernel-server-latest-4.2.16-5.mga2.x86_64.rpm
xtables-addons-kernel-3.4.69-desktop-1.mga2-1.41-33.mga2.x86_64.rpm
xtables-addons-kernel-3.4.69-netbook-1.mga2-1.41-33.mga2.x86_64.rpm
xtables-addons-kernel-3.4.69-server-1.mga2-1.41-33.mga2.x86_64.rpm
xtables-addons-kernel-desktop-latest-1.41-33.mga2.x86_64.rpm
xtables-addons-kernel-netbook-latest-1.41-33.mga2.x86_64.rpm
xtables-addons-kernel-server-latest-1.41-33.mga2.x86_64.rpm

broadcom-wl-kernel-3.4.69-desktop-1.mga2-5.100.82.112-52.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.69-netbook-1.mga2-5.100.82.112-52.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.69-server-1.mga2-5.100.82.112-52.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-52.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-52.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-52.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.69-desktop-1.mga2-8.961-28.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.69-netbook-1.mga2-8.961-28.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.69-server-1.mga2-8.961-28.mga2.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-8.961-28.mga2.nonfree.x86_64.rpm
fglrx-kernel-netbook-latest-8.961-28.mga2.nonfree.x86_64.rpm
fglrx-kernel-server-latest-8.961-28.mga2.nonfree.x86_64.rpm
nvidia173-kernel-3.4.69-desktop-1.mga2-173.14.36-18.mga2.nonfree.x86_64.rpm
nvidia173-kernel-3.4.69-netbook-1.mga2-173.14.36-18.mga2.nonfree.x86_64.rpm
nvidia173-kernel-3.4.69-server-1.mga2-173.14.36-18.mga2.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.36-18.mga2.nonfree.x86_64.rpm
nvidia173-kernel-netbook-latest-173.14.36-18.mga2.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.36-18.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-3.4.69-desktop-1.mga2-96.43.23-19.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-3.4.69-netbook-1.mga2-96.43.23-19.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-3.4.69-server-1.mga2-96.43.23-19.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-desktop-latest-96.43.23-19.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-netbook-latest-96.43.23-19.mga2.nonfree.x86_64.rpm
nvidia96xx-kernel-server-latest-96.43.23-19.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.69-desktop-1.mga2-295.71-23.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.69-netbook-1.mga2-295.71-23.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.69-server-1.mga2-295.71-23.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-295.71-23.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-netbook-latest-295.71-23.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-295.71-23.mga2.nonfree.x86_64.rpm
Comment 16 Marja van Waes 2013-11-18 16:53:33 CET
installed:
 
kernel-desktop-3.4.69-1.mga2   1            1.mga2        i586    
kernel-desktop-latest          3.4.69       1.mga2        i586    
kernel-userspace-headers       3.4.69       1.mga2        i586 

after enabling core updates testing and nonfree updates testing

After reboot everything works as expected, including wlan
Comment 17 Marja van Waes 2013-11-18 16:57:59 CET
installed broadcom-wl-kernel-desktop586-latest-5.100.82.112-52.mga2.nonfree.i586.rpm
just to see whether the modules would be included:

root [ /home/marja ]# urpmi broadcom-wl-kernel-desktop586-latest-5.100.82.112-52
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Release")
  dkms-minimal                   2.0.19       29.mga2       noarch  
(medium "Core Updates Testing")
  kernel-desktop586-3.4.69-1.mg> 1            1.mga2        i586    
(medium "Nonfree Updates")
  broadcom-wl-common             5.100.82.112 7.mga2.nonfr> i586    
(medium "Nonfree Updates Testing")
  broadcom-wl-kernel-3.4.69-des> 5.100.82.112 52.mga2.nonf> i586    
  broadcom-wl-kernel-desktop586> 5.100.82.112 52.mga2.nonf> i586  

<snip>  
#######################################################################################################
      1/5: dkms-minimal          #######################################################################################################
      2/5: broadcom-wl-common    #######################################################################################################
      3/5: kernel-desktop586-3.4.69-1.mga2
                                 #######################################################################################################
I: *** Including module: dash ***
I: *** Including module: i18n ***
I: *** Including module: rpmversion ***
I: *** Including module: plymouth ***
I: *** Including module: kernel-modules ***
I: *** Including module: resume ***
I: *** Including module: rootfs-block ***
I: *** Including module: terminfo ***
I: *** Including module: udev-rules ***
I: Skipping udev rule: 50-udev.rules
I: Skipping udev rule: 95-late.rules
I: Skipping udev rule: 50-firmware.rules
I: *** Including module: usrmount ***
I: *** Including module: base ***
I: *** Including module: fs-lib ***
I: *** Including module: shutdown ***
I: Skipping program kexec as it cannot be found and is flagged to be optional
I: *** Including modules done ***
I: Wrote /boot/initrd-3.4.69-desktop586-1.mga2.img:
I: -rw------- 1 root root 5804166 Nov 18 16:50 /boot/initrd-3.4.69-desktop586-1.mga2.img
defaulting background resolution to 1024x768
      4/5: broadcom-wl-kernel-3.4.69-desktop586-1.mga2
                                 #######################################################################################################

wl.ko.xz:
 - Installation
   - Installing to /lib/modules/3.4.69-desktop586-1.mga2/dkms-binary/3rdparty/broadcom-wl/

depmod.......................

DKMS: install Completed.
broadcom-wl, 5.100.82.112-7.mga2.nonfree, 3.4.69-desktop586-1.mga2, i586: installed-binary from 3.4.69-desktop586-1.mga2
      5/5: broadcom-wl-kernel-desktop586-latest
                                 #######################################################################################################
You should restart your computer for kernel-desktop586-3.4.69-1.mga2
root [ /home/marja ]#
Comment 18 Marja van Waes 2013-11-19 12:53:10 CET
Created attachment 4515 [details]
included modules

for a 64bits system with a nvidia videocard, I updated present packages to the following:

     1/13: kernel-desktop-3.4.69-1.mga2
     2/13: broadcom-wl-kernel-3.4.69-desktop-1.mga2
     3/13: vboxadditions-kernel-3.4.69-desktop-1.mga2
     4/13: kernel-desktop-devel-3.4.69-1.mga2
     5/13: kernel-desktop-devel-latest
     6/13: vboxadditions-kernel-desktop-latest
     7/13: broadcom-wl-kernel-desktop-latest
     8/13: fglrx-kernel-3.4.69-desktop-1.mga2
     9/13: nvidia-current-kernel-3.4.69-desktop-1.mga2
    10/13: nvidia-current-kernel-desktop-latest
    11/13: kernel-userspace-headers
    12/13: kernel-desktop-latest
    13/13: fglrx-kernel-desktop-latest

There is currently no wlan adapter attached to that system, I'll attach part of the installation output for the included modules

Everything works fine after reboot, there is only a very annoying issue here with vim (probably unrelated, even if I hadn't noticed it before): the first time you hit "u" it undoes the last change, but the next time you hit "u" it doesn't undo the one-but-last change, but it redoes the last change :-(
Comment 19 Marja van Waes 2013-11-19 15:00:04 CET
back to 32bits, installed:

fglrx-kernel-3.4.69-desktop586-1.mga2
nvidia-current-kernel-3.4.69-desktop-1.mga2

after that the corresponding modules were included, too:
root [ /home/marja ]# dkms status
fglrx, 8.961-2.mga2.nonfree, 3.4.69-desktop586-1.mga2, i586: installed-binary from 3.4.69-desktop586-1.mga2
broadcom-wl, 5.100.82.112-7.mga2.nonfree, 3.4.69-desktop586-1.mga2, i586: installed-binary from 3.4.69-desktop586-1.mga2
nvidia-current, 295.71-1.mga2.nonfree, 3.4.69-desktop-1.mga2, i586: installed-binary from 3.4.69-desktop-1.mga2
root [ /home/marja ]#
Comment 20 Marja van Waes 2013-11-19 15:52:24 CET
32bits again, installed:
virtualbox-kernel-3.4.69-desktop586-1.mga2

virtualbox can be started as expected (but not when I had accidentally chosen the -desktop- version instead of the -desktop586- version ;-) )
Comment 21 Marja van Waes 2013-11-19 16:16:22 CET
64bits
installed:
virtualbox-kernel-3.4.69-desktop-1.mga2-4.2.16-5.mga2.x86_64.rpm 

virtualbox starts fine after reboot
Comment 22 Thomas Backlund 2013-11-20 18:34:35 CET
Advisory:

This kernel update provides the upstream 3.4.69 kernel and fixes
the following security issues:

The ext4_orphan_del function in fs/ext4/namei.c in the Linux
kernel before 3.7.3 does not properly handle orphan-list entries
for non-journal filesystems, which allows physically proximate
attackers to cause a denial of service (system hang) via a crafted
filesystem on removable media, as demonstrated by the e2fsprogs
tests/f_orphan_extents_inode/image.gz test (CVE-2013-2015).

Multiple array index errors in drivers/hid/hid-core.c in the Human
Interface Device (HID) subsystem in the Linux kernel through 3.11
allow physically proximate attackers to execute arbitrary code or
cause a denial of service (heap memory corruption) via a crafted
device that provides an invalid Report ID (CVE-2013-2888).
 
drivers/hid/hid-zpff.c in the Human Interface Device (HID) subsystem
in the Linux kernel through 3.11, when CONFIG_HID_ZEROPLUS is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device (CVE-2013-2889).
 
drivers/hid/hid-pl.c in the Human Interface Device (HID) subsystem in
the Linux kernel through 3.11, when CONFIG_HID_PANTHERLORD is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device (CVE-2013-2892).

The Human Interface Device (HID) subsystem in the Linux kernel
through 3.11, when CONFIG_LOGITECH_FF, CONFIG_LOGIG940_FF, or
CONFIG_LOGIWHEELS_FF is enabled, allows physically proximate
attackers to cause a denial of service (heap-based out-of-bounds
write) via a crafted device, related to (1) drivers/hid/hid-lgff.c,
(2) drivers/hid/hid-lg3ff.c, and (3) drivers/hid/hid-lg4ff.c
(CVE-2013-2893).

drivers/hid/hid-logitech-dj.c in the Human Interface Device (HID)
subsystem in the Linux kernel through 3.11, when CONFIG_HID_LOGITECH_DJ
is enabled, allows physically proximate attackers to cause a denial
of service (NULL pointer dereference and OOPS) or obtain sensitive
information from kernel memory via a crafted device (CVE-2013-2895).

drivers/hid/hid-ntrig.c in the Human Interface Device (HID)
subsystem in the Linux kernel through 3.11, when CONFIG_HID_NTRIG
is enabled, allows physically proximate attackers to cause a denial
of service (NULL pointer dereference and OOPS) via a crafted device
(CVE-2013-2896).

Multiple array index errors in drivers/hid/hid-multitouch.c in the
Human Interface Device (HID) subsystem in the Linux kernel through
3.11, when CONFIG_HID_MULTITOUCH is enabled, allow physically proximate
attackers to cause a denial of service (heap memory corruption, or NULL
pointer dereference and OOPS) via a crafted device (CVE-2013-2897).

drivers/hid/hid-picolcd_core.c in the Human Interface Device (HID)
subsystem in the Linux kernel through 3.11, when CONFIG_HID_PICOLCD
is enabled, allows physically proximate attackers to cause a denial
of service (NULL pointer dereference and OOPS) via a crafted device
(CVE-2013-2899).

The udp_v6_push_pending_frames function in net/ipv6/udp.c in the IPv6
implementation in the Linux kernel through 3.10.3 makes an incorrect
function call for pending data, which allows local users to cause a
denial of service (BUG and system crash) via a crafted application that
uses the UDP_CORK option in a setsockopt system call (CVE-2013-4162).

The ip6_append_data_mtu function in net/ipv6/ip6_output.c in the IPv6
implementation in the Linux kernel through 3.10.3 does not properly
maintain information about whether the IPV6_MTU setsockopt option
had been specified, which allows local users to cause a denial of
service (BUG and system crash) via a crafted application that uses
the UDP_CORK option in a setsockopt system call (CVE-2013-4163).

The validate_event function in arch/arm/kernel/perf_event.c in the
Linux kernel before 3.10.8 on the ARM platform allows local users to
gain privileges or cause a denial of service (NULL pointer dereference
and system crash) by adding a hardware event to an event group led
by a software event (CVE-2013-4254)

The skb_flow_dissect function in net/core/flow_dissector.c in the
Linux kernel through 3.12 allows remote attackers to cause a denial
of service (infinite loop) via a small value in the IHL field of a
packet with IPIP encapsulation (CVE-2013-4348).
 
The IPv6 SCTP implementation in net/sctp/ipv6.c in the Linux kernel
through 3.11.1 uses data structures and function calls that do not
trigger an intended configuration of IPsec encryption, which allows
remote attackers to obtain sensitive information by sniffing the
network (CVE-2013-4350).

net/ipv6/ip6_output.c in the Linux kernel through 3.11.4 does not
properly determine the need for UDP Fragmentation Offload (UFO)
processing of small packets after the UFO queueing of a large packet,
which allows remote attackers to cause a denial of service (memory
corruption and system crash) or possibly have unspecified other
impact via network traffic that triggers a large response packet
(CVE-2013-4387).

The Linux kernel before 3.12, when UDP Fragmentation Offload (UFO) is
enabled, does not properly initialize certain data structures, which
allows local users to cause a denial of service (memory corruption and
system crash) or possibly gain privileges via a crafted application
that uses the UDP_CORK option in a setsockopt system call and
sends both short and long packets, related to the ip_ufo_append_data
function in net/ipv4/ip_output.c and the ip6_ufo_append_data function
in net/ipv6/ip6_output.c (CVE-2013-4470).
 
The ipc_rcu_putref function in ipc/util.c in the Linux kernel before
3.10 does not properly manage a reference count, which allows local
users to cause a denial of service (memory consumption or system crash)
via a crafted application (CVE-2013-4483).


For other -stable fixes, read the referenced changelogs.

References:
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.53
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.54
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.55
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.56
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.57
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.58
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.59
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.60
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.61
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.62
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.63
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.64
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.65
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.66
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.67
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.68
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.69
Comment 23 Samuel Verschelde 2013-11-21 10:31:09 CET
No pb so far with the following packages installed:

kernel-desktop-3.4.69-1.mga2-1-1.mga2
kernel-desktop-latest-3.4.69-1.mga2
nvidia-current-kernel-3.4.69-desktop-1.mga2-295.71-23.mga2.nonfree
nvidia-current-kernel-desktop-latest-295.71-23.mga2.nonfree
virtualbox-kernel-3.4.69-desktop-1.mga2-4.2.16-5.mga2
Comment 24 Thomas Backlund 2013-11-22 20:23:22 CET
Update pushed:
http://advisories.mageia.org/MGASA-2013-0342.html

Note You need to log in before you can comment on or make changes to this bug.